---
marp: true
paginate: true
math: mathjax
theme: buutti
title: N. Example Lecture
---

# Example Lecture

<!-- headingDivider: 5 -->
<!-- class: invert -->

## Section

- This line appears instantly
* This line appears by pressing spacebar
* This line has an inline code `variable` 
	```js
	console.log("Here's a coloured JavaScript code block");
	console.log("Remember indentation so it's revealed after the bullet point.");
	```
* This line has an inline LaTeX maths equation $c = \frac{a^2}{\sqrt{b}}$
* Here's a maths block: 

$$
F(x) = \int_a^b f(x) dx
$$

<!-- _footer: Footers are exclusive to presentation; they are not shown in the webpage markdown document -->

## Columns

<div class='columns' markdown='1'>
<div markdown='1'>

![](imgs/buuttilogo.png)

* Basic image example

</div>
<div markdown='1'>

![width:800px](imgs/buuttilogo.png)
* Wider image

</div>
</div>

* This line is outside the columns and goes from left all the way to the right


## Setup

* In VS Code, install the extensions
  * [Marp for VS code](https://marketplace.visualstudio.com/items?itemName=marp-team.marp-vscode)
    * So you can see the slideshow preview when editing.
  * [Markdown all in one](https://marketplace.visualstudio.com/items?itemName=yzhang.markdown-all-in-one)
  * [Markdown table formatter](https://marketplace.visualstudio.com/items?itemName=fcrespo82.markdown-table-formatter)
    * *Right click > Format document* makes tables pretty
  * [Save and run](https://marketplace.visualstudio.com/items?itemName=wk-j.save-and-run)
    * An HTML version of the lecture is created on save
    * See [settings.json](./.vscode/settings.json)
    * Add filenames to `notMatch` if a HTML on save is not needed